%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}

%define srcname pdc

Name:           python-%{srcname}
Version:        0.1.0
Release:        2.git.1.0105452%{?dist}
Summary:        Red Hat Product Definition Center
Group:          Development/Libraries
License:        MIT
URL:            https://github.com/release-engineering/product-definition-center
Source0: python-pdc-git-1.0105452.tar.gz
BuildArch:      noarch
BuildRequires:  python-setuptools
BuildRequires:  python-sphinx
Requires:       python-requests
Requires:       python-requests-kerberos
Requires:       beanbag

%description
The Product Definition Center, at its core, is a database that defines every Red Hat products, and their relationships with several important entities.


%package -n %{srcname}-server
Summary: Product Definition Center (PDC) server part
Requires:       Django >= 1.8.1
Requires:       django-rest-framework >= 3.1
Requires:       django-rest-framework < 3.2
Requires:       django-mptt >= 0.7.1
Requires:       kobo >= 0.4.2
Requires:       kobo-django
Requires:       kobo-rpmlib
Requires:       koji
Requires:       patternfly1
Requires:       productmd
Requires:       python-django-filter >= 0.9.2
Requires:       python-ldap
Requires:       python-markdown
Requires:       python-mock
Requires:       python-psycopg2
Requires:       python-requests
Requires:       python-requests-kerberos
Requires:       python-django-cors-headers

%description -n %{srcname}-server
This package contains server part of Product Definition Center (PDC)

%prep
%setup -q -n python-pdc-git-1.0105452

%build
make -C docs/ html

%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --root=%{buildroot}


mkdir -p %{buildroot}/%{_datadir}/%{srcname}/static
mkdir -p %{buildroot}%{_defaultdocdir}/%{srcname}
cp pdc/settings_local.py.dist %{buildroot}/%{python_sitelib}/%{srcname}
cp -R docs %{buildroot}%{_defaultdocdir}/%{srcname}
cp manage.py %{buildroot}/%{python_sitelib}/%{srcname}


# don't need egg info
for egg_info in $(find %{buildroot}/%{python_sitelib} -type d -name '*.egg-info'); do
  rm -rf $egg_info
done

# Install apache config for the app:
install -m 0644 -D -p conf/pdc-httpd.conf.sample %{buildroot}%{_defaultdocdir}/pdc/pdc.conf.sample

# only remove static dir when it's a uninstallation
# $1 == 0: uninstallation
# $1 == 1: upgrade
%preun
if [ "$1" = 0 ]; then
  rm -rf %{_datadir}/%{srcname}/static
fi


%files -n %{srcname}-server
%defattr(-,root,apache,-)
%{_defaultdocdir}/pdc
%{python_sitelib}/%{srcname}
%{python_sitelib}/contrib
%exclude %{python_sitelib}/%{srcname}/conf
%{_datadir}/%{srcname}


%changelog
* Thu Oct 08 2015 Eric Huang <jiahuang@redhat.com> 0.1.0-2
- Add component client plugins. (xchu@redhat.com)
- Exit with 1 if client tests fail (lsedlar@redhat.com)
- Improve documentation of client class (lsedlar@redhat.com)
- Move get_paged function to pdc_client (lsedlar@redhat.com)
- Add info about changesets to documentation (lsedlar@redhat.com)
- Fix sphinx errors/warnings (lsedlar@redhat.com)
- Improve general documentation (lsedlar@redhat.com)
- Rename helper function (lsedlar@redhat.com)
- Fix new contact system (lsedlar@redhat.com)
- Remove __all__ declarations (lsedlar@redhat.com)
- Create new contact API (ycheng@redhat.com)
- Clone OSBS together with components (lsedlar@redhat.com)
- Add SAML2 support with the help of mod_auth_mellon (puiterwijk@redhat.com)
- Add script to verify migrations are up to date (lsedlar@redhat.com)
- Add forgotten migration to OSBS app (lsedlar@redhat.com)
- Allow tracking OSBS metadata (lsedlar@redhat.com)
- Add has_osbs field to release component types (lsedlar@redhat.com)
- Make login URL customizable (lsedlar@redhat.com)
- Fix extract_arguments to allow nested dictionaries (lsedlar@redhat.com)
- Create github pages with rendered docs
  (laozhikun@dhcp-140-177.nay.redhat.com)
- Add tests for rpm client plugin (lsedlar@redhat.com)
- Add tests for image client plugin (lsedlar@redhat.com)
- Add tests for release (lsedlar@redhat.com)
- Update client plugin infrastructure (lsedlar@redhat.com)
- Remove rel-eng directory (jiahuang@redhat.com)
- update devel env setup document (bliu@redhat.com)
- Add permission plugin to client (jiahuang@redhat.com)
- Use helper class in original client (lsedlar@redhat.com)
- Fix bulk not working on client (jiahuang@redhat.com)
- Add image plugin to client (lsedlar@redhat.com)
- Add RPM plugin to client (lsedlar@redhat.com)
- Add release plugin to client (lsedlar@redhat.com)
- Provide basis of alternative client (lsedlar@redhat.com)
- Fix error message in strict int filter (lsedlar@redhat.com)
- Correct warning message (jiahuang@redhat.com)
- Find older compose from other releases (lsedlar@redhat.com)
- Show current tab in URL (lsedlar@redhat.com)
- Add the missing BuildRequires 'python' for pdc_client. (xchu@redhat.com)
- Update references to release component to only use release and name
  (jiahuang@redhat.com)
- Revisit unique constraint for release component (jiahuang@redhat.com)
- Track request duration in changesets. (chuzhang@redhat.com)
- Fix displayed value of RPM filename default (lsedlar@redhat.com)
- Case insensitive for the request (jiahuang@redhat.com)
- Initialized to use tito. (jiahuang@redhat.com)
- Fix hack that get version from git tag. (xychu2008@gmail.com)
- Automatic commit of package [pdc-client] minor release [0.1.0-1].
  (xychu2008@gmail.com)
- Automatic commit of package [python-pdc] minor release [0.1.0-1].
  (xychu2008@gmail.com)
- Enable storing RPM dependencies (lsedlar@redhat.com)
- Include RPM filename in changeset (lsedlar@redhat.com)
- Promote cloning instead of creating new releases (lsedlar@redhat.com)
- Not convert *False* filter. (jiahuang@redhat.com)

* Fri Sep 11 2015 Xiangyang Chu <xychu2008@gmail.com> 0.1.0-1
- new package built with tito

* Thu Aug 27 2015 Xiangyang Chu <xchu@redhat.com> 0.1.0-1
- Use release tagger. (xchu@redhat.com)
- init spec for copr build
